Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network251.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
251.192.0.0
Broadcast address
251.255.255.255
First usable
251.192.0.1
Last usable
251.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FBC00000 · Integer 4223664128 to 4227858431
Reverse DNS zones
192.251.in-addr.arpa
193.251.in-addr.arpa
194.251.in-addr.arpa
195.251.in-addr.arpa
196.251.in-addr.arpa
197.251.in-addr.arpa
198.251.in-addr.arpa
199.251.in-addr.arpa
200.251.in-addr.arpa
201.251.in-addr.arpa
202.251.in-addr.arpa
203.251.in-addr.arpa
204.251.in-addr.arpa
205.251.in-addr.arpa
206.251.in-addr.arpa
207.251.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111011.11000000.00000000.00000000251.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11111011.11000000.00000000.00000000251.192.0.0
Broadcast11111011.11111111.11111111.11111111251.255.255.255
Split into smaller subnets/20

251.192.0.0/10 makes 1,024 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1251.192.0.0/20251.192.0.1 to 251.192.15.254251.192.15.2554,094
2251.192.16.0/20251.192.16.1 to 251.192.31.254251.192.31.2554,094
3251.192.32.0/20251.192.32.1 to 251.192.47.254251.192.47.2554,094
4251.192.48.0/20251.192.48.1 to 251.192.63.254251.192.63.2554,094
5251.192.64.0/20251.192.64.1 to 251.192.79.254251.192.79.2554,094
6251.192.80.0/20251.192.80.1 to 251.192.95.254251.192.95.2554,094
7251.192.96.0/20251.192.96.1 to 251.192.111.254251.192.111.2554,094
8251.192.112.0/20251.192.112.1 to 251.192.127.254251.192.127.2554,094
9251.192.128.0/20251.192.128.1 to 251.192.143.254251.192.143.2554,094
10251.192.144.0/20251.192.144.1 to 251.192.159.254251.192.159.2554,094
11251.192.160.0/20251.192.160.1 to 251.192.175.254251.192.175.2554,094
12251.192.176.0/20251.192.176.1 to 251.192.191.254251.192.191.2554,094
13251.192.192.0/20251.192.192.1 to 251.192.207.254251.192.207.2554,094
14251.192.208.0/20251.192.208.1 to 251.192.223.254251.192.223.2554,094
15251.192.224.0/20251.192.224.1 to 251.192.239.254251.192.239.2554,094
16251.192.240.0/20251.192.240.1 to 251.192.255.254251.192.255.2554,094
17251.193.0.0/20251.193.0.1 to 251.193.15.254251.193.15.2554,094
18251.193.16.0/20251.193.16.1 to 251.193.31.254251.193.31.2554,094
19251.193.32.0/20251.193.32.1 to 251.193.47.254251.193.47.2554,094
20251.193.48.0/20251.193.48.1 to 251.193.63.254251.193.63.2554,094
21251.193.64.0/20251.193.64.1 to 251.193.79.254251.193.79.2554,094
22251.193.80.0/20251.193.80.1 to 251.193.95.254251.193.95.2554,094
23251.193.96.0/20251.193.96.1 to 251.193.111.254251.193.111.2554,094
24251.193.112.0/20251.193.112.1 to 251.193.127.254251.193.127.2554,094
25251.193.128.0/20251.193.128.1 to 251.193.143.254251.193.143.2554,094
26251.193.144.0/20251.193.144.1 to 251.193.159.254251.193.159.2554,094
27251.193.160.0/20251.193.160.1 to 251.193.175.254251.193.175.2554,094
28251.193.176.0/20251.193.176.1 to 251.193.191.254251.193.191.2554,094
29251.193.192.0/20251.193.192.1 to 251.193.207.254251.193.207.2554,094
30251.193.208.0/20251.193.208.1 to 251.193.223.254251.193.223.2554,094
31251.193.224.0/20251.193.224.1 to 251.193.239.254251.193.239.2554,094
32251.193.240.0/20251.193.240.1 to 251.193.255.254251.193.255.2554,094
33251.194.0.0/20251.194.0.1 to 251.194.15.254251.194.15.2554,094
34251.194.16.0/20251.194.16.1 to 251.194.31.254251.194.31.2554,094
35251.194.32.0/20251.194.32.1 to 251.194.47.254251.194.47.2554,094
36251.194.48.0/20251.194.48.1 to 251.194.63.254251.194.63.2554,094
37251.194.64.0/20251.194.64.1 to 251.194.79.254251.194.79.2554,094
38251.194.80.0/20251.194.80.1 to 251.194.95.254251.194.95.2554,094
39251.194.96.0/20251.194.96.1 to 251.194.111.254251.194.111.2554,094
40251.194.112.0/20251.194.112.1 to 251.194.127.254251.194.127.2554,094
41251.194.128.0/20251.194.128.1 to 251.194.143.254251.194.143.2554,094
42251.194.144.0/20251.194.144.1 to 251.194.159.254251.194.159.2554,094
43251.194.160.0/20251.194.160.1 to 251.194.175.254251.194.175.2554,094
44251.194.176.0/20251.194.176.1 to 251.194.191.254251.194.191.2554,094
45251.194.192.0/20251.194.192.1 to 251.194.207.254251.194.207.2554,094
46251.194.208.0/20251.194.208.1 to 251.194.223.254251.194.223.2554,094
47251.194.224.0/20251.194.224.1 to 251.194.239.254251.194.239.2554,094
48251.194.240.0/20251.194.240.1 to 251.194.255.254251.194.255.2554,094
49251.195.0.0/20251.195.0.1 to 251.195.15.254251.195.15.2554,094
50251.195.16.0/20251.195.16.1 to 251.195.31.254251.195.31.2554,094
51251.195.32.0/20251.195.32.1 to 251.195.47.254251.195.47.2554,094
52251.195.48.0/20251.195.48.1 to 251.195.63.254251.195.63.2554,094
53251.195.64.0/20251.195.64.1 to 251.195.79.254251.195.79.2554,094
54251.195.80.0/20251.195.80.1 to 251.195.95.254251.195.95.2554,094
55251.195.96.0/20251.195.96.1 to 251.195.111.254251.195.111.2554,094
56251.195.112.0/20251.195.112.1 to 251.195.127.254251.195.127.2554,094
57251.195.128.0/20251.195.128.1 to 251.195.143.254251.195.143.2554,094
58251.195.144.0/20251.195.144.1 to 251.195.159.254251.195.159.2554,094
59251.195.160.0/20251.195.160.1 to 251.195.175.254251.195.175.2554,094
60251.195.176.0/20251.195.176.1 to 251.195.191.254251.195.191.2554,094
61251.195.192.0/20251.195.192.1 to 251.195.207.254251.195.207.2554,094
62251.195.208.0/20251.195.208.1 to 251.195.223.254251.195.223.2554,094
63251.195.224.0/20251.195.224.1 to 251.195.239.254251.195.239.2554,094
64251.195.240.0/20251.195.240.1 to 251.195.255.254251.195.255.2554,094
65251.196.0.0/20251.196.0.1 to 251.196.15.254251.196.15.2554,094
66251.196.16.0/20251.196.16.1 to 251.196.31.254251.196.31.2554,094
67251.196.32.0/20251.196.32.1 to 251.196.47.254251.196.47.2554,094
68251.196.48.0/20251.196.48.1 to 251.196.63.254251.196.63.2554,094
69251.196.64.0/20251.196.64.1 to 251.196.79.254251.196.79.2554,094
70251.196.80.0/20251.196.80.1 to 251.196.95.254251.196.95.2554,094
71251.196.96.0/20251.196.96.1 to 251.196.111.254251.196.111.2554,094
72251.196.112.0/20251.196.112.1 to 251.196.127.254251.196.127.2554,094
73251.196.128.0/20251.196.128.1 to 251.196.143.254251.196.143.2554,094
74251.196.144.0/20251.196.144.1 to 251.196.159.254251.196.159.2554,094
75251.196.160.0/20251.196.160.1 to 251.196.175.254251.196.175.2554,094
76251.196.176.0/20251.196.176.1 to 251.196.191.254251.196.191.2554,094
77251.196.192.0/20251.196.192.1 to 251.196.207.254251.196.207.2554,094
78251.196.208.0/20251.196.208.1 to 251.196.223.254251.196.223.2554,094
79251.196.224.0/20251.196.224.1 to 251.196.239.254251.196.239.2554,094
80251.196.240.0/20251.196.240.1 to 251.196.255.254251.196.255.2554,094
81251.197.0.0/20251.197.0.1 to 251.197.15.254251.197.15.2554,094
82251.197.16.0/20251.197.16.1 to 251.197.31.254251.197.31.2554,094
83251.197.32.0/20251.197.32.1 to 251.197.47.254251.197.47.2554,094
84251.197.48.0/20251.197.48.1 to 251.197.63.254251.197.63.2554,094
85251.197.64.0/20251.197.64.1 to 251.197.79.254251.197.79.2554,094
86251.197.80.0/20251.197.80.1 to 251.197.95.254251.197.95.2554,094
87251.197.96.0/20251.197.96.1 to 251.197.111.254251.197.111.2554,094
88251.197.112.0/20251.197.112.1 to 251.197.127.254251.197.127.2554,094
89251.197.128.0/20251.197.128.1 to 251.197.143.254251.197.143.2554,094
90251.197.144.0/20251.197.144.1 to 251.197.159.254251.197.159.2554,094
91251.197.160.0/20251.197.160.1 to 251.197.175.254251.197.175.2554,094
92251.197.176.0/20251.197.176.1 to 251.197.191.254251.197.191.2554,094
93251.197.192.0/20251.197.192.1 to 251.197.207.254251.197.207.2554,094
94251.197.208.0/20251.197.208.1 to 251.197.223.254251.197.223.2554,094
95251.197.224.0/20251.197.224.1 to 251.197.239.254251.197.239.2554,094
96251.197.240.0/20251.197.240.1 to 251.197.255.254251.197.255.2554,094
97251.198.0.0/20251.198.0.1 to 251.198.15.254251.198.15.2554,094
98251.198.16.0/20251.198.16.1 to 251.198.31.254251.198.31.2554,094
99251.198.32.0/20251.198.32.1 to 251.198.47.254251.198.47.2554,094
100251.198.48.0/20251.198.48.1 to 251.198.63.254251.198.63.2554,094
101251.198.64.0/20251.198.64.1 to 251.198.79.254251.198.79.2554,094
102251.198.80.0/20251.198.80.1 to 251.198.95.254251.198.95.2554,094
103251.198.96.0/20251.198.96.1 to 251.198.111.254251.198.111.2554,094
104251.198.112.0/20251.198.112.1 to 251.198.127.254251.198.127.2554,094
105251.198.128.0/20251.198.128.1 to 251.198.143.254251.198.143.2554,094
106251.198.144.0/20251.198.144.1 to 251.198.159.254251.198.159.2554,094
107251.198.160.0/20251.198.160.1 to 251.198.175.254251.198.175.2554,094
108251.198.176.0/20251.198.176.1 to 251.198.191.254251.198.191.2554,094
109251.198.192.0/20251.198.192.1 to 251.198.207.254251.198.207.2554,094
110251.198.208.0/20251.198.208.1 to 251.198.223.254251.198.223.2554,094
111251.198.224.0/20251.198.224.1 to 251.198.239.254251.198.239.2554,094
112251.198.240.0/20251.198.240.1 to 251.198.255.254251.198.255.2554,094
113251.199.0.0/20251.199.0.1 to 251.199.15.254251.199.15.2554,094
114251.199.16.0/20251.199.16.1 to 251.199.31.254251.199.31.2554,094
115251.199.32.0/20251.199.32.1 to 251.199.47.254251.199.47.2554,094
116251.199.48.0/20251.199.48.1 to 251.199.63.254251.199.63.2554,094
117251.199.64.0/20251.199.64.1 to 251.199.79.254251.199.79.2554,094
118251.199.80.0/20251.199.80.1 to 251.199.95.254251.199.95.2554,094
119251.199.96.0/20251.199.96.1 to 251.199.111.254251.199.111.2554,094
120251.199.112.0/20251.199.112.1 to 251.199.127.254251.199.127.2554,094
121251.199.128.0/20251.199.128.1 to 251.199.143.254251.199.143.2554,094
122251.199.144.0/20251.199.144.1 to 251.199.159.254251.199.159.2554,094
123251.199.160.0/20251.199.160.1 to 251.199.175.254251.199.175.2554,094
124251.199.176.0/20251.199.176.1 to 251.199.191.254251.199.191.2554,094
125251.199.192.0/20251.199.192.1 to 251.199.207.254251.199.207.2554,094
126251.199.208.0/20251.199.208.1 to 251.199.223.254251.199.223.2554,094
127251.199.224.0/20251.199.224.1 to 251.199.239.254251.199.239.2554,094
128251.199.240.0/20251.199.240.1 to 251.199.255.254251.199.255.2554,094
129251.200.0.0/20251.200.0.1 to 251.200.15.254251.200.15.2554,094
130251.200.16.0/20251.200.16.1 to 251.200.31.254251.200.31.2554,094
131251.200.32.0/20251.200.32.1 to 251.200.47.254251.200.47.2554,094
132251.200.48.0/20251.200.48.1 to 251.200.63.254251.200.63.2554,094
133251.200.64.0/20251.200.64.1 to 251.200.79.254251.200.79.2554,094
134251.200.80.0/20251.200.80.1 to 251.200.95.254251.200.95.2554,094
135251.200.96.0/20251.200.96.1 to 251.200.111.254251.200.111.2554,094
136251.200.112.0/20251.200.112.1 to 251.200.127.254251.200.127.2554,094
137251.200.128.0/20251.200.128.1 to 251.200.143.254251.200.143.2554,094
138251.200.144.0/20251.200.144.1 to 251.200.159.254251.200.159.2554,094
139251.200.160.0/20251.200.160.1 to 251.200.175.254251.200.175.2554,094
140251.200.176.0/20251.200.176.1 to 251.200.191.254251.200.191.2554,094
141251.200.192.0/20251.200.192.1 to 251.200.207.254251.200.207.2554,094
142251.200.208.0/20251.200.208.1 to 251.200.223.254251.200.223.2554,094
143251.200.224.0/20251.200.224.1 to 251.200.239.254251.200.239.2554,094
144251.200.240.0/20251.200.240.1 to 251.200.255.254251.200.255.2554,094
145251.201.0.0/20251.201.0.1 to 251.201.15.254251.201.15.2554,094
146251.201.16.0/20251.201.16.1 to 251.201.31.254251.201.31.2554,094
147251.201.32.0/20251.201.32.1 to 251.201.47.254251.201.47.2554,094
148251.201.48.0/20251.201.48.1 to 251.201.63.254251.201.63.2554,094
149251.201.64.0/20251.201.64.1 to 251.201.79.254251.201.79.2554,094
150251.201.80.0/20251.201.80.1 to 251.201.95.254251.201.95.2554,094
151251.201.96.0/20251.201.96.1 to 251.201.111.254251.201.111.2554,094
152251.201.112.0/20251.201.112.1 to 251.201.127.254251.201.127.2554,094
153251.201.128.0/20251.201.128.1 to 251.201.143.254251.201.143.2554,094
154251.201.144.0/20251.201.144.1 to 251.201.159.254251.201.159.2554,094
155251.201.160.0/20251.201.160.1 to 251.201.175.254251.201.175.2554,094
156251.201.176.0/20251.201.176.1 to 251.201.191.254251.201.191.2554,094
157251.201.192.0/20251.201.192.1 to 251.201.207.254251.201.207.2554,094
158251.201.208.0/20251.201.208.1 to 251.201.223.254251.201.223.2554,094
159251.201.224.0/20251.201.224.1 to 251.201.239.254251.201.239.2554,094
160251.201.240.0/20251.201.240.1 to 251.201.255.254251.201.255.2554,094
161251.202.0.0/20251.202.0.1 to 251.202.15.254251.202.15.2554,094
162251.202.16.0/20251.202.16.1 to 251.202.31.254251.202.31.2554,094
163251.202.32.0/20251.202.32.1 to 251.202.47.254251.202.47.2554,094
164251.202.48.0/20251.202.48.1 to 251.202.63.254251.202.63.2554,094
165251.202.64.0/20251.202.64.1 to 251.202.79.254251.202.79.2554,094
166251.202.80.0/20251.202.80.1 to 251.202.95.254251.202.95.2554,094
167251.202.96.0/20251.202.96.1 to 251.202.111.254251.202.111.2554,094
168251.202.112.0/20251.202.112.1 to 251.202.127.254251.202.127.2554,094
169251.202.128.0/20251.202.128.1 to 251.202.143.254251.202.143.2554,094
170251.202.144.0/20251.202.144.1 to 251.202.159.254251.202.159.2554,094
171251.202.160.0/20251.202.160.1 to 251.202.175.254251.202.175.2554,094
172251.202.176.0/20251.202.176.1 to 251.202.191.254251.202.191.2554,094
173251.202.192.0/20251.202.192.1 to 251.202.207.254251.202.207.2554,094
174251.202.208.0/20251.202.208.1 to 251.202.223.254251.202.223.2554,094
175251.202.224.0/20251.202.224.1 to 251.202.239.254251.202.239.2554,094
176251.202.240.0/20251.202.240.1 to 251.202.255.254251.202.255.2554,094
177251.203.0.0/20251.203.0.1 to 251.203.15.254251.203.15.2554,094
178251.203.16.0/20251.203.16.1 to 251.203.31.254251.203.31.2554,094
179251.203.32.0/20251.203.32.1 to 251.203.47.254251.203.47.2554,094
180251.203.48.0/20251.203.48.1 to 251.203.63.254251.203.63.2554,094
181251.203.64.0/20251.203.64.1 to 251.203.79.254251.203.79.2554,094
182251.203.80.0/20251.203.80.1 to 251.203.95.254251.203.95.2554,094
183251.203.96.0/20251.203.96.1 to 251.203.111.254251.203.111.2554,094
184251.203.112.0/20251.203.112.1 to 251.203.127.254251.203.127.2554,094
185251.203.128.0/20251.203.128.1 to 251.203.143.254251.203.143.2554,094
186251.203.144.0/20251.203.144.1 to 251.203.159.254251.203.159.2554,094
187251.203.160.0/20251.203.160.1 to 251.203.175.254251.203.175.2554,094
188251.203.176.0/20251.203.176.1 to 251.203.191.254251.203.191.2554,094
189251.203.192.0/20251.203.192.1 to 251.203.207.254251.203.207.2554,094
190251.203.208.0/20251.203.208.1 to 251.203.223.254251.203.223.2554,094
191251.203.224.0/20251.203.224.1 to 251.203.239.254251.203.239.2554,094
192251.203.240.0/20251.203.240.1 to 251.203.255.254251.203.255.2554,094
193251.204.0.0/20251.204.0.1 to 251.204.15.254251.204.15.2554,094
194251.204.16.0/20251.204.16.1 to 251.204.31.254251.204.31.2554,094
195251.204.32.0/20251.204.32.1 to 251.204.47.254251.204.47.2554,094
196251.204.48.0/20251.204.48.1 to 251.204.63.254251.204.63.2554,094
197251.204.64.0/20251.204.64.1 to 251.204.79.254251.204.79.2554,094
198251.204.80.0/20251.204.80.1 to 251.204.95.254251.204.95.2554,094
199251.204.96.0/20251.204.96.1 to 251.204.111.254251.204.111.2554,094
200251.204.112.0/20251.204.112.1 to 251.204.127.254251.204.127.2554,094
201251.204.128.0/20251.204.128.1 to 251.204.143.254251.204.143.2554,094
202251.204.144.0/20251.204.144.1 to 251.204.159.254251.204.159.2554,094
203251.204.160.0/20251.204.160.1 to 251.204.175.254251.204.175.2554,094
204251.204.176.0/20251.204.176.1 to 251.204.191.254251.204.191.2554,094
205251.204.192.0/20251.204.192.1 to 251.204.207.254251.204.207.2554,094
206251.204.208.0/20251.204.208.1 to 251.204.223.254251.204.223.2554,094
207251.204.224.0/20251.204.224.1 to 251.204.239.254251.204.239.2554,094
208251.204.240.0/20251.204.240.1 to 251.204.255.254251.204.255.2554,094
209251.205.0.0/20251.205.0.1 to 251.205.15.254251.205.15.2554,094
210251.205.16.0/20251.205.16.1 to 251.205.31.254251.205.31.2554,094
211251.205.32.0/20251.205.32.1 to 251.205.47.254251.205.47.2554,094
212251.205.48.0/20251.205.48.1 to 251.205.63.254251.205.63.2554,094
213251.205.64.0/20251.205.64.1 to 251.205.79.254251.205.79.2554,094
214251.205.80.0/20251.205.80.1 to 251.205.95.254251.205.95.2554,094
215251.205.96.0/20251.205.96.1 to 251.205.111.254251.205.111.2554,094
216251.205.112.0/20251.205.112.1 to 251.205.127.254251.205.127.2554,094
217251.205.128.0/20251.205.128.1 to 251.205.143.254251.205.143.2554,094
218251.205.144.0/20251.205.144.1 to 251.205.159.254251.205.159.2554,094
219251.205.160.0/20251.205.160.1 to 251.205.175.254251.205.175.2554,094
220251.205.176.0/20251.205.176.1 to 251.205.191.254251.205.191.2554,094
221251.205.192.0/20251.205.192.1 to 251.205.207.254251.205.207.2554,094
222251.205.208.0/20251.205.208.1 to 251.205.223.254251.205.223.2554,094
223251.205.224.0/20251.205.224.1 to 251.205.239.254251.205.239.2554,094
224251.205.240.0/20251.205.240.1 to 251.205.255.254251.205.255.2554,094
225251.206.0.0/20251.206.0.1 to 251.206.15.254251.206.15.2554,094
226251.206.16.0/20251.206.16.1 to 251.206.31.254251.206.31.2554,094
227251.206.32.0/20251.206.32.1 to 251.206.47.254251.206.47.2554,094
228251.206.48.0/20251.206.48.1 to 251.206.63.254251.206.63.2554,094
229251.206.64.0/20251.206.64.1 to 251.206.79.254251.206.79.2554,094
230251.206.80.0/20251.206.80.1 to 251.206.95.254251.206.95.2554,094
231251.206.96.0/20251.206.96.1 to 251.206.111.254251.206.111.2554,094
232251.206.112.0/20251.206.112.1 to 251.206.127.254251.206.127.2554,094
233251.206.128.0/20251.206.128.1 to 251.206.143.254251.206.143.2554,094
234251.206.144.0/20251.206.144.1 to 251.206.159.254251.206.159.2554,094
235251.206.160.0/20251.206.160.1 to 251.206.175.254251.206.175.2554,094
236251.206.176.0/20251.206.176.1 to 251.206.191.254251.206.191.2554,094
237251.206.192.0/20251.206.192.1 to 251.206.207.254251.206.207.2554,094
238251.206.208.0/20251.206.208.1 to 251.206.223.254251.206.223.2554,094
239251.206.224.0/20251.206.224.1 to 251.206.239.254251.206.239.2554,094
240251.206.240.0/20251.206.240.1 to 251.206.255.254251.206.255.2554,094
241251.207.0.0/20251.207.0.1 to 251.207.15.254251.207.15.2554,094
242251.207.16.0/20251.207.16.1 to 251.207.31.254251.207.31.2554,094
243251.207.32.0/20251.207.32.1 to 251.207.47.254251.207.47.2554,094
244251.207.48.0/20251.207.48.1 to 251.207.63.254251.207.63.2554,094
245251.207.64.0/20251.207.64.1 to 251.207.79.254251.207.79.2554,094
246251.207.80.0/20251.207.80.1 to 251.207.95.254251.207.95.2554,094
247251.207.96.0/20251.207.96.1 to 251.207.111.254251.207.111.2554,094
248251.207.112.0/20251.207.112.1 to 251.207.127.254251.207.127.2554,094
249251.207.128.0/20251.207.128.1 to 251.207.143.254251.207.143.2554,094
250251.207.144.0/20251.207.144.1 to 251.207.159.254251.207.159.2554,094
251251.207.160.0/20251.207.160.1 to 251.207.175.254251.207.175.2554,094
252251.207.176.0/20251.207.176.1 to 251.207.191.254251.207.191.2554,094
253251.207.192.0/20251.207.192.1 to 251.207.207.254251.207.207.2554,094
254251.207.208.0/20251.207.208.1 to 251.207.223.254251.207.223.2554,094
255251.207.224.0/20251.207.224.1 to 251.207.239.254251.207.239.2554,094
256251.207.240.0/20251.207.240.1 to 251.207.255.254251.207.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses